(define-module (glicid packages mpi)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module ((gnu packages mpi)
                #:prefix gnu:)
  #:use-module (glicid utils)
  #:use-module (guix utils)
  #:use-module (glicid packages parallel)
  #:use-module (gnu packages parallel)
  #:use-module (guix gexp)
  #:use-module (gnu packages))


;(define-public openmpi-glicid-internal-pmix
;  (package/inherit gnu:openmpi-4
;    (name "openmpi-glicid")
;    (inputs (modify-inputs (package-inputs gnu:openmpi-4)
;              (append openpmix) ;; because we use pmix4 now, openpmi-4 defaults to internal pmix3
;              (replace "slurm" slurm-glicid)))
;
;    )
;)



(define-public openmpi-glicid
  (package/inherit gnu:openmpi-4
    (name "openmpi-glicid")
    (arguments 
      (substitute-keyword-arguments (package-arguments gnu:openmpi-4)
       ((#:configure-flags flags)
        #~(append  #$flags (list ;; original flags has --with-pmix=internal, we should remove it but last --with-pmix is the one taken into account.
                     (string-append "--with-pmix=" #$(this-package-input "openpmix"))
                     (string-append "--with-prrte=" #$(this-package-input "prrte"))
                    ) ;#$flags 
))))
    (inputs (modify-inputs (package-inputs gnu:openmpi-4)
              (append openpmix) ;; because we use pmix4 now, openpmi-4 defaults to internal pmix3
              (append prrte) ;; idem
              (replace "slurm" slurm-glicid)))

    )
)
